Index: code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc	(revision 10828)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc	(revision 10829)
@@ -205,5 +205,5 @@
     void KeyBinderManager::registerKeybindCallback(LuaFunctor* function)
     {
-        this->callbackFunction_ = function;
+        this->callbackFunction_.reset(function);
     }
 }
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h	(revision 10828)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h	(revision 10829)
@@ -34,7 +34,7 @@
 #include <map>
 #include <string>
+#include <memory>
 
 #include "util/Singleton.h"
-#include "util/SharedPtr.h"
 #include "core/config/Configurable.h"
 
@@ -108,14 +108,14 @@
 
         // KeyBinder management
-        KeyBinder* currentBinder_;                   //! Currently selected KeyBinder (never nullptr!)
-        std::map<std::string, KeyBinder*> binders_;  //! All loaded KeyBinders
-        bool bDefaultFileLoaded_;                    //! Tells whether the default one is loaded
-        std::string defaultFilename_;                //! Name of the file with the default key bindings
+        KeyBinder* currentBinder_;                      //! Currently selected KeyBinder (never nullptr!)
+        std::map<std::string, KeyBinder*> binders_;     //! All loaded KeyBinders
+        bool bDefaultFileLoaded_;                       //! Tells whether the default one is loaded
+        std::string defaultFilename_;                   //! Name of the file with the default key bindings
 
         // keybind command related
-        SharedPtr<LuaFunctor> callbackFunction_;     //! Function to be called when key was pressed after "keybind" command
-        bool bBinding_;                              //! Tells whether a key binding process is active
-        bool bTemporary_;                            //! Stores tkeybind/keybind value
-        std::string command_;                        //! Stores the command received by (t)keybind
+        std::shared_ptr<LuaFunctor> callbackFunction_;  //! Function to be called when key was pressed after "keybind" command
+        bool bBinding_;                                 //! Tells whether a key binding process is active
+        bool bTemporary_;                               //! Stores tkeybind/keybind value
+        std::string command_;                           //! Stores the command received by (t)keybind
 
         static KeyBinderManager* singletonPtr_s;
Index: code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc	(revision 10828)
+++ code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc	(revision 10829)
@@ -41,5 +41,4 @@
 #include "util/Output.h"
 #include "util/StringUtils.h"
-#include "util/SharedPtr.h"
 
 namespace orxonox
@@ -81,7 +80,7 @@
     }
 
-    /*static*/ SharedPtr<OutputManager>& OutputManager::Testing::getInstancePointer()
-    {
-        static SharedPtr<OutputManager> instance(new OutputManager());
+    /*static*/ std::shared_ptr<OutputManager>& OutputManager::Testing::getInstancePointer()
+    {
+        static std::shared_ptr<OutputManager> instance(new OutputManager());
         return instance;
     }
Index: code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h	(revision 10828)
+++ code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h	(revision 10829)
@@ -41,4 +41,5 @@
 #include <vector>
 #include <map>
+#include <memory>
 
 #include "OutputDefinitions.h"
@@ -137,5 +138,5 @@
             struct _UtilExport Testing
             {
-                static SharedPtr<OutputManager>& getInstancePointer();
+                static std::shared_ptr<OutputManager>& getInstancePointer();
             };
     };
Index: code/branches/cpp11_v2/test/util/output/ConsoleWriterTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/output/ConsoleWriterTest.cc	(revision 10828)
+++ code/branches/cpp11_v2/test/util/output/ConsoleWriterTest.cc	(revision 10829)
@@ -3,5 +3,4 @@
 #include "util/output/ConsoleWriter.h"
 #include "util/output/OutputManager.h"
-#include "util/SharedPtr.h"
 
 namespace orxonox
@@ -16,5 +15,5 @@
                 {
                     // reset output manager
-                    OutputManager::Testing::getInstancePointer() = new OutputManager();
+                    OutputManager::Testing::getInstancePointer().reset(new OutputManager());
                 }
 
Index: code/branches/cpp11_v2/test/util/output/LogWriterTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/output/LogWriterTest.cc	(revision 10828)
+++ code/branches/cpp11_v2/test/util/output/LogWriterTest.cc	(revision 10829)
@@ -4,5 +4,4 @@
 #include "util/Convert.h"
 #include "util/output/OutputManager.h"
-#include "util/SharedPtr.h"
 
 namespace orxonox
@@ -24,5 +23,5 @@
                 {
                     // reset output manager
-                    OutputManager::Testing::getInstancePointer() = new OutputManager();
+                    OutputManager::Testing::getInstancePointer().reset(new OutputManager());
                 }
 
Index: code/branches/cpp11_v2/test/util/output/MemoryWriterTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/output/MemoryWriterTest.cc	(revision 10828)
+++ code/branches/cpp11_v2/test/util/output/MemoryWriterTest.cc	(revision 10829)
@@ -4,5 +4,4 @@
 #include "util/output/MemoryWriter.h"
 #include "util/output/OutputManager.h"
-#include "util/SharedPtr.h"
 
 namespace orxonox
@@ -23,5 +22,5 @@
                 {
                     // reset output manager
-                    OutputManager::Testing::getInstancePointer() = new OutputManager();
+                    OutputManager::Testing::getInstancePointer().reset(new OutputManager());
                 }
 
Index: code/branches/cpp11_v2/test/util/output/OutputListenerTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/output/OutputListenerTest.cc	(revision 10828)
+++ code/branches/cpp11_v2/test/util/output/OutputListenerTest.cc	(revision 10829)
@@ -3,5 +3,4 @@
 #include "util/output/OutputListener.h"
 #include "util/output/OutputManager.h"
-#include "util/SharedPtr.h"
 
 namespace orxonox
@@ -342,10 +341,10 @@
             {
                 this->manager_ = new MockOutputManager();
-                OutputManager::Testing::getInstancePointer() = this->manager_;
+                OutputManager::Testing::getInstancePointer().reset(this->manager_);
             }
 
             virtual void TearDown()
             {
-                OutputManager::Testing::getInstancePointer() = new OutputManager();
+                OutputManager::Testing::getInstancePointer().reset(new OutputManager());
             }
 
Index: code/branches/cpp11_v2/test/util/output/OutputStreamTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/output/OutputStreamTest.cc	(revision 10828)
+++ code/branches/cpp11_v2/test/util/output/OutputStreamTest.cc	(revision 10829)
@@ -8,5 +8,4 @@
 #include "util/output/OutputManager.h"
 #include "util/output/MemoryWriter.h"
-#include "util/SharedPtr.h"
 
 namespace orxonox
@@ -88,10 +87,10 @@
             {
                 this->manager_ = new MockOutputManager();
-                OutputManager::Testing::getInstancePointer() = this->manager_;
+                OutputManager::Testing::getInstancePointer().reset(this->manager_);
             }
 
             virtual void TearDown()
             {
-                OutputManager::Testing::getInstancePointer() = new OutputManager();
+                OutputManager::Testing::getInstancePointer().reset(new OutputManager());
             }
 