Index: code/branches/cpp11_v2/test/util/SharedPtrTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/SharedPtrTest.cc	(revision 10829)
+++ code/branches/cpp11_v2/test/util/SharedPtrTest.cc	(revision 10830)
@@ -1,6 +1,6 @@
+#include <memory>
 #include <utility>
 #include <gtest/gtest.h>
 #include <gmock/gmock.h>
-#include "util/SharedPtr.h"
 
 namespace orxonox
@@ -40,5 +40,5 @@
     TEST(SharedPtr, ConstructorDefault)
     {
-        SharedPtr<TestClass> test;
+        std::shared_ptr<TestClass> test;
         EXPECT_EQ(nullptr, test.get());
     }
@@ -48,5 +48,5 @@
         TestClass* pointer = new TestClass();
 
-        SharedPtr<TestClass> test = pointer;
+        std::shared_ptr<TestClass> test(pointer);
         EXPECT_EQ(pointer, test.get());
         EXPECT_EQ(pointer, &(*test));
@@ -57,5 +57,5 @@
         TestChildClass* pointer = new TestChildClass();
 
-        SharedPtr<TestClass> test = pointer;
+        std::shared_ptr<TestClass> test(pointer);
         EXPECT_EQ(pointer, test.get());
     }
@@ -65,8 +65,8 @@
         TestClass* pointer = new TestClass();
 
-        SharedPtr<TestClass> other = pointer;
-        EXPECT_EQ(pointer, other.get());
-
-        SharedPtr<TestClass> test = other;
+        std::shared_ptr<TestClass> other(pointer);
+        EXPECT_EQ(pointer, other.get());
+
+        std::shared_ptr<TestClass> test = other;
         EXPECT_EQ(pointer, test.get());
     }
@@ -76,8 +76,8 @@
         TestChildClass* pointer = new TestChildClass();
 
-        SharedPtr<TestChildClass> other = pointer;
-        EXPECT_EQ(pointer, other.get());
-
-        SharedPtr<TestClass> test = other;
+        std::shared_ptr<TestChildClass> other(pointer);
+        EXPECT_EQ(pointer, other.get());
+
+        std::shared_ptr<TestClass> test = other;
         EXPECT_EQ(pointer, test.get());
     }
@@ -87,8 +87,8 @@
         TestClass* pointer = new TestClass();
 
-        SharedPtr<TestClass> other = pointer;
-        EXPECT_EQ(pointer, other.get());
-
-        SharedPtr<TestClass> test;
+        std::shared_ptr<TestClass> other(pointer);
+        EXPECT_EQ(pointer, other.get());
+
+        std::shared_ptr<TestClass> test;
         EXPECT_EQ(nullptr, test.get());
 
@@ -101,8 +101,8 @@
         TestChildClass* pointer = new TestChildClass();
 
-        SharedPtr<TestChildClass> other = pointer;
-        EXPECT_EQ(pointer, other.get());
-
-        SharedPtr<TestClass> test;
+        std::shared_ptr<TestChildClass> other(pointer);
+        EXPECT_EQ(pointer, other.get());
+
+        std::shared_ptr<TestClass> test;
         EXPECT_EQ(nullptr, test.get());
 
@@ -115,8 +115,8 @@
         TestChildClass* pointer = new TestChildClass();
 
-        SharedPtr<TestChildClass> other = pointer;
-        EXPECT_EQ(pointer, other.get());
-
-        SharedPtr<TestClass> test = other.cast<TestClass>();
+        std::shared_ptr<TestChildClass> other(pointer);
+        EXPECT_EQ(pointer, other.get());
+
+        std::shared_ptr<TestClass> test = std::static_pointer_cast<TestClass>(other);
         EXPECT_EQ(pointer, test.get());
     }
@@ -126,5 +126,5 @@
         TestClass* pointer = new TestClass();
 
-        SharedPtr<TestClass> test = pointer;
+        std::shared_ptr<TestClass> test(pointer);
         EXPECT_EQ(pointer, test.get());
 
@@ -137,5 +137,5 @@
     TEST(SharedPtr, Boolean)
     {
-        SharedPtr<TestClass> test;
+        std::shared_ptr<TestClass> test;
         EXPECT_EQ(nullptr, test.get());
         EXPECT_FALSE(test);
@@ -143,5 +143,5 @@
         TestClass* pointer = new TestClass();
 
-        test = pointer;
+        test.reset(pointer);
         EXPECT_EQ(pointer, test.get());
         EXPECT_TRUE(static_cast<bool>(test));
@@ -153,6 +153,6 @@
         TestClass* pointer2 = new TestClass();
 
-        SharedPtr<TestClass> test1 = pointer1;
-        SharedPtr<TestClass> test2 = pointer2;
+        std::shared_ptr<TestClass> test1(pointer1);
+        std::shared_ptr<TestClass> test2(pointer2);
 
         EXPECT_EQ(pointer1, test1.get());
@@ -168,5 +168,5 @@
     {
         TestChildClassMock* pointer = new TestChildClassMock();
-        SharedPtr<TestClass> test = pointer;
+        std::shared_ptr<TestClass> test(pointer);
 
         EXPECT_CALL(*pointer, objectDestroyed()).Times(1);
@@ -177,8 +177,8 @@
         TestChildClassMock* pointer = new TestChildClassMock();
 
-        SharedPtr<TestClass> test = pointer;
-        std::vector<SharedPtr<TestClass>> tests;
+        std::shared_ptr<TestClass> test(pointer);
+        std::vector<std::shared_ptr<TestClass>> tests;
         for (size_t i = 0; i < 100; ++i)
-            tests.push_back(SharedPtr<TestClass>(test));
+            tests.push_back(std::shared_ptr<TestClass>(test));
 
         EXPECT_CALL(*pointer, objectDestroyed()).Times(1);
@@ -191,21 +191,21 @@
 
         // default
-        SharedPtr<TestChildClass> sharedPtr1;
+        std::shared_ptr<TestChildClass> sharedPtr1;
         EXPECT_EQ(nullptr, sharedPtr1.get());
 
         // pointer
-        SharedPtr<TestChildClass> sharedPtr2(pointer);
+        std::shared_ptr<TestChildClass> sharedPtr2(pointer);
         EXPECT_EQ(pointer, sharedPtr2.get());
 
         // copy
-        SharedPtr<TestChildClass> sharedPtr3(sharedPtr2);
+        std::shared_ptr<TestChildClass> sharedPtr3(sharedPtr2);
         EXPECT_EQ(pointer, sharedPtr3.get());
 
         // move
-        SharedPtr<TestChildClass> sharedPtr4(std::move(sharedPtr3));
+        std::shared_ptr<TestChildClass> sharedPtr4(std::move(sharedPtr3));
         EXPECT_EQ(pointer, sharedPtr4.get());
 
         // other
-        SharedPtr<TestClass> sharedPtr5(sharedPtr4);
+        std::shared_ptr<TestClass> sharedPtr5(sharedPtr4);
         EXPECT_EQ(pointer, sharedPtr5.get());
 
@@ -220,21 +220,21 @@
 
         // default
-        SharedPtr<TestChildClass> sharedPtr1;
+        std::shared_ptr<TestChildClass> sharedPtr1;
         EXPECT_EQ(nullptr, sharedPtr1.get());
 
         // pointer
-        SharedPtr<TestChildClass> sharedPtr2 = pointer;
+        std::shared_ptr<TestChildClass> sharedPtr2(pointer);
         EXPECT_EQ(pointer, sharedPtr2.get());
 
         // copy
-        SharedPtr<TestChildClass> sharedPtr3 = sharedPtr2;
+        std::shared_ptr<TestChildClass> sharedPtr3 = sharedPtr2;
         EXPECT_EQ(pointer, sharedPtr3.get());
 
         // move
-        SharedPtr<TestChildClass> sharedPtr4 = std::move(sharedPtr3);
+        std::shared_ptr<TestChildClass> sharedPtr4 = std::move(sharedPtr3);
         EXPECT_EQ(pointer, sharedPtr4.get());
 
         // other
-        SharedPtr<TestClass> sharedPtr5 = sharedPtr4;
+        std::shared_ptr<TestClass> sharedPtr5 = sharedPtr4;
         EXPECT_EQ(pointer, sharedPtr5.get());
 
@@ -247,19 +247,19 @@
         TestChildClassMock* pointer = new TestChildClassMock();
 
-        SharedPtr<TestChildClass> sharedPtr1(pointer);
+        std::shared_ptr<TestChildClass> sharedPtr1(pointer);
         EXPECT_EQ(pointer, sharedPtr1.get());
 
         // copy
-        SharedPtr<TestChildClass> sharedPtr2;
+        std::shared_ptr<TestChildClass> sharedPtr2;
         sharedPtr2 = sharedPtr1;
         EXPECT_EQ(pointer, sharedPtr2.get());
 
         // move
-        SharedPtr<TestChildClass> sharedPtr3;
+        std::shared_ptr<TestChildClass> sharedPtr3;
         sharedPtr3 = std::move(sharedPtr2);
         EXPECT_EQ(pointer, sharedPtr3.get());
 
         // other
-        SharedPtr<TestClass> sharedPtr4;
+        std::shared_ptr<TestClass> sharedPtr4;
         sharedPtr4 = sharedPtr3;
         EXPECT_EQ(pointer, sharedPtr4.get());