Index: code/branches/campaignHS15/data/levels/expeditionSector.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/expeditionSector.oxw	(revision 10838)
+++ code/branches/campaignHS15/data/levels/expeditionSector.oxw	(revision 10839)
@@ -46,8 +46,14 @@
         cSpawn = {-50, 0, 0}
 
-        cField1 = {400, 0, 2500}
-        cField2 = {400, 0, -2500}
-        cPlanet1 = {8000, -2000, 15000}
-        cPlanet2 = {-20000, 4000, -1000}
+	cStationA = {1400, 400, -800}	
+        cNewShip = {1000, 250, -350}
+
+	cPlanet1 = {-9000, -8000, 14000}
+	cPlanet2 = {12000, -1500, -10000}
+
+	cEnemyBasePlanet = {-20000, -5500, -8000}
+
+	cField1 = {-5000, -4000, -3000}
+ 	cField2 = {4000, 2000, 4500}
 
         --[[ Function to print Coordinates. Quotes not included! ]]--
@@ -72,5 +78,5 @@
 
     <GlobalQuest id="quest1">
-        <QuestDescription title="Quest 1" description="" failMessage="" completeMessage="" />
+        <QuestDescription title="Quest 1" description="We received some extraterrestial binary radio signals from Sector 5C! We'd like yout to take the portal and fly over there to check out if life can be found there as we believed to be an inhabitated region in space." failMessage="" completeMessage="" />
         <hints>
         </hints>
@@ -156,13 +162,113 @@
     </SimpleNotification>
 
+    <SimpleNotification broadcast="true" message="Please check your quests!">
+        <events>
+            <trigger>
+                <EventTrigger stayactive="true" delay=7 >
+                   <events>
+                      <trigger>
+                         <EventListener event="spawntrigger" />
+                      </trigger>
+                   </events>
+                </EventTrigger>
+            </trigger>
+        </events>
+    </SimpleNotification>
+
     <!--STATIONS -->
 
+    <Template name="station">
+        <Pawn mass=10000000 collisionType=dynamic friction=0.01>
+            <attached>
+                <Model mesh="HydroHarvester.mesh" position="0,0,0" scale=50 />
+                <DistanceTriggerBeacon name="NPC" />
+            </attached>
+            <collisionShapes>
+                <BoxCollisionShape  position="-560,0,0" halfExtents="115,100,245" /><!-- Three lower boxes -->
+                <BoxCollisionShape  position="290,0,-480" halfExtents="115,100,245" yaw=-120 />
+                <BoxCollisionShape  position="290,0,480" halfExtents="115,100,245" yaw=-240 />
+                <BoxCollisionShape  position="-280,0,0" halfExtents="163,50,50" /><!-- Three lower connections -->
+                <BoxCollisionShape  position="140,0,-240" halfExtents="163,50,50" yaw=-120 />
+                <BoxCollisionShape  position="140,0,240" halfExtents="163,50,50" yaw=-240 />
+                <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" /><!-- Upper Tower -->
+                <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-120 />
+                <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-240 />
+                <BoxCollisionShape  position="0,400,0" halfExtents="43,110,26" yaw=-30 /><!-- Middle one-->
+                <BoxCollisionShape  position="-200,100,0" halfExtents="26,50,43" /><!--Three lower legs -->
+                <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=-30 />
+                <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=30 />
+                <BoxCollisionShape  position="-100,264,0" halfExtents="26,105,43" roll=-49 /><!--Three upper legs -->
+                <BoxCollisionShape  position="50,264,-87" halfExtents="26,105,43" roll=-49 yaw=-120 />
+                <BoxCollisionShape  position="50,264,87" halfExtents="26,105,43" roll=-49 yaw=-240 />
+            </collisionShapes>
+        </Pawn>
+    </Template>
+
+    <Pawn name="statA" team=0 radarname="Outer Base - Sector 4B" position="<?lua printC(cStationA) ?>" direction="<?lua printC(cSpawn) ?>" yaw=45 pitch=-5 roll=-25 initialhealth=10000 maxhealth=10000 >
+        <templates>
+            <Template link="station" />
+        </templates>
+	<attached>
+            <DockingTarget name="dockTargetA" />
+            <Dock position="0,0,0" active=true>
+                <animations>
+                    <MoveToDockingTarget target="dockTargetA" />
+                </animations>
+                <effects>
+                    <DockToShip target="newSpaceShip" />
+                </effects>
+                <events>
+                    <execute>
+                        <EventListener event="dockA" />
+                    </execute>
+                </events>
+	    </Dock>
+	</attached>
+    </Pawn>
+
+    <!-- New SpaceShip as destination of dock A-->
+    <SpaceShip
+            template            = "spaceshipassff"
+            team                = "0"
+            position            = "<?lua printC(cNewShip) ?>"
+            lookat              = "0, 0, 0"
+            health              = "400"
+            initialhealth       = "400"
+            maxhealth           = "1500"
+            shieldhealth        = "80"
+            initialshieldhealth = "80"
+            maxshieldhealth     = "120"
+            shieldabsorption    = "0.8"
+            reloadrate          = "1"
+            reloadwaittime      = "1"
+            name                = "newSpaceShip"
+            radarname           = "ScoutShip" >
+        <attached>
+            <DockingTarget name="newSpaceShip" />
+            <DistanceTriggerBeacon name="newSpaceShip" />
+        </attached>
+    </SpaceShip>
+
     <!--ELEMENTS -->
 
-    <!-- Planets from the shuttle defense Level. Remove or keep at will. -->
-
-    <Planet
+    <!-- Asteroids you have to fly through to get to the EnemyBase -->
+    
+    <?lua
+        dofile("includes/asteroidField.lua")
+       asteroidField(cField1[1], cField1[2], cField1[3], 20, 30, 4500, 500, 0)
+    ?>    
+
+    <!-- Other Asteroid-Fields -->
+
+    <?lua
+        dofile("includes/asteroidField.lua")
+       asteroidField(cField2[1], cField2[2], cField2[3], 20, 30, 4500, 500, 0)
+    ?> 
+
+    <!-- Planets -->
+
+   <Planet
         position="<?lua printC(cPlanet1) ?>"
-        scale="2000"
+        scale="3000"
         collisionType="dynamic"
         linearDamping="0.8"
@@ -178,4 +284,38 @@
         collisiondamage = 2
         enablecollisiondamage = true
+	visible=true
+	active=true
+      >
+      <attached>
+        <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
+        </attached>
+          <collisionShapes>
+            <SphereCollisionShape radius="3000" position="0,0,0" />
+      </collisionShapes>
+    </Planet>
+
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(cPlanet1[1], cPlanet1[2], cPlanet1[3], 30, 20, 100, 20, 40, 3400, 3700, 400, 1)
+    ?>
+
+    <Planet
+        position="<?lua printC(cPlanet2) ?>"
+        scale="2000"
+        collisionType="dynamic"
+        linearDamping="0.8"
+        angularDamping="0"
+        mass="5000000"
+        pitch="0"
+        mesh="planets/ganymede.mesh"
+        atmosphere="atmosphere1"
+        rotationaxis="1,0,0"
+        rotationrate="1.0"
+        atmospheresize="80.0f"
+        imagesize="1024.0f"
+        collisiondamage = 2
+        enablecollisiondamage = true
+	visible=true
+	active=true
       >
       <attached>
@@ -189,10 +329,12 @@
     <?lua
         dofile("includes/asteroidField.lua")
-        asteroidBelt(cPlanet1[1], cPlanet1[2], cPlanet1[3], 30, 0, 30, 20, 40, 2800, 3000, 200, 1)
+        asteroidBelt(cPlanet2[1], cPlanet2[2], cPlanet2[3], 30, 20, 100, 20, 40, 3400, 3700, 400, 1)
     ?>
 
+    <!-- EnemyPlanet(s) -->
+
     <Planet
-        position="<?lua printC(cPlanet2) ?>"
-        scale="3000"
+        position="<?lua printC(cEnemyBasePlanet) ?>"
+        scale="5000"
         collisionType="dynamic"
         linearDamping="0.8"
@@ -200,5 +342,5 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/planet3.mesh"
+        mesh="planets/jupiter.mesh"
         atmosphere="atmosphere1"
         rotationaxis="1,0,0"
@@ -208,18 +350,15 @@
         collisiondamage = 2
         enablecollisiondamage = true
+	visible=true
+	active=true
       >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
+        <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-500" />
         </attached>
           <collisionShapes>
-            <SphereCollisionShape radius="3000" position="0,0,0" />
+            <SphereCollisionShape radius="5000" position="0,0,0" />
       </collisionShapes>
     </Planet>
 
-    <?lua
-        dofile("includes/asteroidField.lua")
-        asteroidBelt(cPlanet2[1], cPlanet2[2], cPlanet2[3], 30, 20, 100, 20, 40, 3400, 3700, 400, 1)
-    ?>
-
     </Scene>
 </Level>