Index: code/branches/campaignHS15/src/orxonox/controllers/CommonController.cc
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/CommonController.cc	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/CommonController.cc	(revision 10843)
@@ -69,5 +69,5 @@
         //orxout(internal_error) << "I died, my Rank is " << rank_ << endl;
     }
-
+   
     void CommonController::XMLPort( Element& xmlelement, XMLPort::Mode mode )
     {
@@ -85,5 +85,17 @@
     void CommonController::tick(float dt)
     {
-
+        if (this->bHasTargetPosition_)
+        {
+            this->moveToTargetPosition(dt);
+        }
+        else if (this->bLookAtTarget_)
+        {
+            this->lookAtTarget(dt);
+        }
+        if (bShooting_)
+        {
+            this->doFire();
+        }
+        SUPER(CommonController, tick, dt);
     }
 
Index: code/branches/campaignHS15/src/orxonox/controllers/CommonController.h
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/CommonController.h	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/CommonController.h	(revision 10843)
@@ -68,5 +68,5 @@
  
 
-    class _OrxonoxExport CommonController : public Controller
+    class _OrxonoxExport CommonController : public Controller, public Tickable
     {
 
Index: code/branches/campaignHS15/src/orxonox/controllers/DivisionController.cc
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/DivisionController.cc	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/DivisionController.cc	(revision 10843)
@@ -64,18 +64,8 @@
     void DivisionController::tick(float dt)
     {   
+
         if (!this->isActive())
             return;
-        if (this->bHasTargetPosition_)
-        {
-            this->moveToTargetPosition(dt);
-        }
-        else if (this->bLookAtTarget_)
-        {
-            this->lookAtTarget(dt);
-        }
-        if (bShooting_)
-        {
-            this->doFire();
-        }
+        
         
         SUPER(DivisionController, tick, dt);
Index: code/branches/campaignHS15/src/orxonox/controllers/DivisionController.h
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/DivisionController.h	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/DivisionController.h	(revision 10843)
@@ -36,6 +36,6 @@
 namespace orxonox
 {
-    class _OrxonoxExport DivisionController : public LeaderController, public Tickable
-      {
+    class _OrxonoxExport DivisionController : public LeaderController
+    {
         public:
             //----[language demanded functions]----            
Index: code/branches/campaignHS15/src/orxonox/controllers/LeaderController.cc
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/LeaderController.cc	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/LeaderController.cc	(revision 10843)
@@ -43,5 +43,9 @@
     }
 
-   
+   	void LeaderController::tick(float dt)
+   	{
+   		
+   		SUPER(LeaderController, tick, dt);
+   	}
     LeaderController::~LeaderController()
     {
Index: code/branches/campaignHS15/src/orxonox/controllers/LeaderController.h
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/LeaderController.h	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/LeaderController.h	(revision 10843)
@@ -45,4 +45,5 @@
                 virtual ~LeaderController();
             //----[language demanded functions]----            
+                virtual void tick(float dt); 
 
             //----[pseudo virtual methods]----
Index: code/branches/campaignHS15/src/orxonox/controllers/SectionController.cc
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/SectionController.cc	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/SectionController.cc	(revision 10843)
@@ -63,18 +63,7 @@
     void SectionController::tick(float dt)
     {
-         if (!this->isActive())
+        if (!this->isActive())
             return;
-        if (this->bHasTargetPosition_)
-        {
-            this->moveToTargetPosition(dt);
-        }
-        else if (this->bLookAtTarget_)
-        {
-            this->lookAtTarget(dt);
-        }
-        if (bShooting_)
-        {
-            this->doFire();
-        }
+      
         
         SUPER(SectionController, tick, dt);
Index: code/branches/campaignHS15/src/orxonox/controllers/SectionController.h
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/SectionController.h	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/SectionController.h	(revision 10843)
@@ -35,5 +35,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport SectionController : public LeaderController, public Tickable
+    class _OrxonoxExport SectionController : public LeaderController
     {
         public:
Index: code/branches/campaignHS15/src/orxonox/controllers/WingmanController.cc
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/WingmanController.cc	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/WingmanController.cc	(revision 10843)
@@ -61,16 +61,5 @@
         if (!this->isActive())
             return;
-        if (this->bHasTargetPosition_)
-        {
-            this->moveToTargetPosition(dt);
-        }
-        else if (this->bLookAtTarget_)
-        {
-            this->lookAtTarget(dt);
-        }
-        if (bShooting_)
-        {
-            this->doFire();
-        }
+        
         
         SUPER(WingmanController, tick, dt);
Index: code/branches/campaignHS15/src/orxonox/controllers/WingmanController.h
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/WingmanController.h	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/controllers/WingmanController.h	(revision 10843)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport WingmanController : public CommonController, public Tickable
+    class _OrxonoxExport WingmanController : public CommonController
     {
         public:
Index: code/branches/campaignHS15/src/orxonox/worldentities/CMakeLists.txt
===================================================================
--- code/branches/campaignHS15/src/orxonox/worldentities/CMakeLists.txt	(revision 10840)
+++ code/branches/campaignHS15/src/orxonox/worldentities/CMakeLists.txt	(revision 10843)
@@ -12,4 +12,5 @@
   SpawnPoint.cc
   TeamSpawnPoint.cc
+  ActionPoint.cc
 )
 